<?php
namespace App\Controller;

use App\Entity\User;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;

#[AsController]
final class GetUserByName
{

    public function __invoke($authName, EntityManagerInterface $em): User
    {
        $user = $em->getRepository(User::class)->findOneBy([
            'authName' => $authName
        ]);
        if (! $user) {
            throw new NotFoundHttpException('User not found');
        }
        return $user;
    }
}

